## org.apache.lucene.search.similar
Class MoreLikeThisQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.similar.MoreLikeThisQuery

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MoreLikeThisQuery

extends org.apache.lucene.search.Query

A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.

See Also:
  Serialized Form

Constructor Summary
`MoreLikeThisQuery(java.lang.String likeText, java.lang.String[] moreLikeFields, org.apache.lucene.analysis.Analyzer analyzer)`

Method Summary
`org.apache.lucene.analysis.Analyzer` `getAnalyzer()`
`java.lang.String` `getLikeText()`
`int` `getMaxQueryTerms()`
`int` `getMinDocFreq()`
`int` `getMinTermFrequency()`
`java.lang.String[]` `getMoreLikeFields()`
`float` `getPercentTermsToMatch()`
`java.util.Set` `getStopWords()`
`org.apache.lucene.search.Query` `rewrite(org.apache.lucene.index.IndexReader reader)`
`void` `setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`
`void` `setLikeText(java.lang.String likeText)`
`void` `setMaxQueryTerms(int maxQueryTerms)`
`void` `setMinDocFreq(int minDocFreq)`
`void` `setMinTermFrequency(int minTermFrequency)`
`void` `setMoreLikeFields(java.lang.String[] moreLikeFields)`
`void` `setPercentTermsToMatch(float percentTermsToMatch)`
`void` `setStopWords(java.util.Set stopWords)`
`java.lang.String` `toString(java.lang.String field)`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, equals, extractTerms, getBoost, getSimilarity, hashCode, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoreLikeThisQuery

    public MoreLikeThisQuery(java.lang.String likeText,
                             java.lang.String[] moreLikeFields,
                             org.apache.lucene.analysis.Analyzer analyzer)

Parameters:
  `moreLikeFields` -

Method Detail

### rewrite

    public org.apache.lucene.search.Query rewrite(org.apache.lucene.index.IndexReader reader)
                                           throws java.io.IOException

  Overrides:
    `rewrite` in class `org.apache.lucene.search.Query`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString(java.lang.String field)

  Specified by:
    `toString` in class `org.apache.lucene.search.Query`

### getPercentTermsToMatch

    public float getPercentTermsToMatch()

### setPercentTermsToMatch

    public void setPercentTermsToMatch(float percentTermsToMatch)

### getAnalyzer

    public org.apache.lucene.analysis.Analyzer getAnalyzer()

### setAnalyzer

    public void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

### getLikeText

    public java.lang.String getLikeText()

### setLikeText

    public void setLikeText(java.lang.String likeText)

### getMaxQueryTerms

    public int getMaxQueryTerms()

### setMaxQueryTerms

    public void setMaxQueryTerms(int maxQueryTerms)

### getMinTermFrequency

    public int getMinTermFrequency()

### setMinTermFrequency

    public void setMinTermFrequency(int minTermFrequency)

### getMoreLikeFields

    public java.lang.String[] getMoreLikeFields()

### setMoreLikeFields

    public void setMoreLikeFields(java.lang.String[] moreLikeFields)

### getStopWords

    public java.util.Set getStopWords()

### setStopWords

    public void setStopWords(java.util.Set stopWords)

### getMinDocFreq

    public int getMinDocFreq()

### setMinDocFreq

    public void setMinDocFreq(int minDocFreq)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.